
*{
    padding:0;
    margin:0;
    box-sizing: border-box;
}


body{
    background:rgb(255, 255, 255);
}

#header-row{
    display: flex;
    flex-direction: row;
    align-content: bottom;
    margin: 16px 10% 0;
}

/* .header-logo{
    width: 100%;
    margin-top: 16px;
} */

.logo-text{
    color: var(--color-supplimental-dark);
    font-weight: 500;
}
.container{
    margin: 64px 10% 128px;
    display: flex;
    flex-direction: row;
    gap: 16px;

}

#button-back-text{
    font-size: 2rem;
    margin: -4px 0 0 32px;
}

#container-customer{
    min-width: 70%;
}


#customer-info{
    width: 100%;
}

#user-info{
    font-size: 1.5rem;
    line-height: 2rem;
    font-weight: 300;
}


#input-trip{
    width: 80%;
    resize:vertical;
    height: 150px;
    border: 1px solid var(--color-gray);
    margin-top: 4px;
    padding: 8px;
    border-radius: 2px;
}

#input-age{
    width: 75%;
}

#agreement{

    font-size: 1rem; 
    margin: 32px 0; 
    max-width: 80%
}


#pay-container{
    min-width: 200px;
    max-width: 400px;
    height: 48px;
    border: 1px solid var(--color-gray);
  
    padding: 8px;
    border-radius: 2px;
}


#button-book{
    width: 300px;
    height: 64px;
    margin: 32px 0;
    color: white;
    background-color: var(--color-blue);
}

#button-book:hover{
    background-color: var(--color-blue-hover);
}

#button-availability.inactive,
#button-availability.inactive:hover,
#button-book.inactive,
#button-book.inactive:hover{
    opacity: 0.1;
    cursor: auto;
    background-color: var(--color-supplimental);

}






#container-van{
    min-width: 30%;
    display: flex;
    flex-direction: column;
    justify-items: right;
}


.card-img{
    max-width: 100%;
    max-height: 30vh;
    object-fit: cover;
}

#van-name{
    font-size: 1.5rem; 
    font-weight: 500; 
    margin-top: 16px;

}

#van-detail{
    font-size: 1rem; 
    margin-top: 0;

}

.reserve-label{
    font-size: 1.5rem; 
    font-weight: 500; 
    margin-bottom: 0;

}


#reserve-dates{
    font-size: 1.5rem; 
    font-weight: 500; 
    margin-bottom: 0;
    display: flex;
    flex-direction: row;
    justify-content: center;
}

#reserve-pickup{
    font-size: 1rem; margin-top: 0;
}

#summary-holder{
    margin-top: 0;
}
.text-row{
    display: flex;
    flex-direction: row;
    justify-content: space-between;
    align-items: center;


}

/***********************RESPONSIVE BELOW************************************************************/




/* MOBILE: */
@media only screen and (max-width: 992px) {
    .container{
        flex-direction: column;
    
    }

    #header-row{
        justify-content: space-between;
        white-space: pre-wrap;
        margin-top: 64px;
    }
    #container-van{
        align-self: flex-start;
        order: -1;
    }

    #input-trip,
    #input-age,
    #agreement
    {
        width: 100%;
        max-width: 100%
    }


    #spacer-col{
        visibility: collapse;
        width: 0;
    }
    
    #container-customer{
        margin-top: 32px;
    }

}